package ru.dbotthepony.mc.otm.client.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.client.screen.widget.MatterGaugePanel;
import ru.dbotthepony.mc.otm.menu.MatterCapacitorBankMenu;
import ru.dbotthepony.mc.otm.client.screen.panels.*;

import java.util.List;

public class MatterCapacitorBankScreen extends MatteryScreen<MatterCapacitorBankMenu> implements MatteryScreen.IMatteryScreenGaugeGetter, MatteryScreen.IMatteryScreenGridBased {
	public MatterCapacitorBankScreen(MatterCapacitorBankMenu p_97741_, Inventory p_97742_, Component p_97743_) {
		super(p_97741_, p_97742_, p_97743_);
	}

	@Override
	public List<EditablePanel> getGauges() {
		return List.of(new MatterGaugePanel(this, null, menu.matter_widget), new MatterGaugePanel(this, null, menu.total_matter_widget));
	}

	@Override
	public void createGridPanels(FlexGridPanel grid) {
		for (var slot : menu.container_slots) {
			new SlotPanel<>(this, grid, 0, 0, slot);
		}
	}
}
