package ru.dbotthepony.mc.otm.client.screen;

import net.minecraft.network.chat.Component;
import net.minecraft.world.entity.player.Inventory;
import ru.dbotthepony.mc.otm.client.screen.panels.EditablePanel;
import ru.dbotthepony.mc.otm.client.screen.widget.PowerGaugePanel;
import ru.dbotthepony.mc.otm.menu.BatteryBankMenu;
import ru.dbotthepony.mc.otm.client.screen.panels.FlexGridPanel;
import ru.dbotthepony.mc.otm.client.screen.panels.SlotPanel;

import java.util.List;

public class BatteryBankScreen extends MatteryScreen<BatteryBankMenu> implements MatteryScreen.IMatteryScreenGaugeGetter, MatteryScreen.IMatteryScreenGridBased {
	public BatteryBankScreen(BatteryBankMenu p_97741_, Inventory p_97742_, Component p_97743_) {
		super(p_97741_, p_97742_, p_97743_);
	}

	@Override
	public List<EditablePanel> getGauges() {
		return List.of(new PowerGaugePanel(this, null, menu.battery_widget));
	}

	@Override
	public void createGridPanels(FlexGridPanel grid) {
		for (var slot : menu.battery_slots) {
			new SlotPanel<>(this, grid, 0, 0, slot);
		}
	}
}
